org.apache.ignite.internal.processors.cache.persistence

## Class RootPage

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.RootPage

    public class RootPage
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`RootPage(FullPageId pageId, boolean allocated)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isAllocated()`
`FullPageId` `pageId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RootPage

    public RootPage(FullPageId pageId,
                    boolean allocated)

Parameters:
  `pageId` - Page ID.
  `allocated` - `True` if was allocated new page.

### Method Detail

#### pageId

    public FullPageId pageId()

Returns:
  Page ID.

#### isAllocated

    public boolean isAllocated()

Returns:
  `True` if was allocated.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018